package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaFirstpageNoticeMapper;
import com.huiju.welcome.model.TaFirstpage;
import com.huiju.welcome.model.TaFirstpageNotice;
import com.huiju.welcome.model.TaNotice;
import com.huiju.welcome.service.ITaFirstpageNoticeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Service
public class TaFirstpageNoticeServiceImpl extends ServiceImpl<TaFirstpageNoticeMapper, TaFirstpageNotice> implements ITaFirstpageNoticeService {
    @Autowired
    private TaFirstpageNoticeMapper taFirstpageNoticeMapper;

    @Override
    public List<TaNotice> getFirstpageNotice(TaFirstpage taFirstpage) {
        return taFirstpageNoticeMapper.getFirstpageNotice(taFirstpage.getFirstpageId());
    }

    @Override
    public boolean remove(TaFirstpageNotice taFirstpageNotice) {

        QueryWrapper<TaFirstpageNotice> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("firstpage_id", taFirstpageNotice.getFirstpageId());
        queryWrapper.eq("notice_id", taFirstpageNotice.getNoticeId());

        return remove(queryWrapper);
    }
}
