package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaFirstpageMapper;
import com.huiju.welcome.model.TaFirstpage;
import com.huiju.welcome.model.TaFirstpageContent;
import com.huiju.welcome.model.TaFirstpageNotice;
import com.huiju.welcome.service.ITaFirstpageContentService;
import com.huiju.welcome.service.ITaFirstpageNoticeService;
import com.huiju.welcome.service.ITaFirstpageService;
import com.huiju.welcome.utils.SAWeather;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Service
public class TaFirstpageServiceImpl extends ServiceImpl<TaFirstpageMapper, TaFirstpage> implements ITaFirstpageService {

    @Autowired
    private ITaFirstpageContentService taFirstpageContentService;

    @Autowired
    private ITaFirstpageNoticeService taFirstpageNoticeService;

    @Autowired
    private SAWeather saWeather;

    @Override
    public Map<String, Object> detail(TaFirstpage taFirstpage) {
        Map<String, Object> res = new HashMap<String, Object>();
        res.put("detail", taFirstpage);

        // 获取天气
        if (taFirstpage.getWeatherShow()) {
            res.put("weather",  saWeather.weather(taFirstpage.getCity()));
        }

        // 获取公告
        if (taFirstpage.getNoticeShow()) {
            QueryWrapper<TaFirstpageNotice> q1 = new QueryWrapper<>();
            q1.eq("firstpage_id", taFirstpage.getFirstpageId());
            q1.orderByDesc("weight");
            taFirstpage.setNotice(taFirstpageNoticeService.list(q1));
            res.put("notice", taFirstpageNoticeService.getFirstpageNotice(taFirstpage));
        }

        QueryWrapper<TaFirstpageContent> q2 = new QueryWrapper<>();
        q2.eq("firstpage_id", taFirstpage.getFirstpageId());
        q2.orderByDesc("weight");
        taFirstpage.setContent(taFirstpageContentService.list(q2));
       res.put("content", taFirstpageContentService.getContentLib(taFirstpage));

        return res;
    }
}
